=== GSL/Makefile ===
--- 
+++ 
@@ -1,14 +1,9 @@
 # Makefile for library gsl. This file was generated by the program flatten_gsl.py
-# djmw 20080326
+# David Weenink, 22 February 2010
 
 include ../makefile.defs
 
 CFLAGS = -I ../sys -I ../dwsys
-
-all: libgsl.a
-
-clean:
-	rm *.o
 
 OBJECTS = gsl_blas__blas.o gsl_block__block.o gsl_block__file.o \
    gsl_block__init.o gsl_bspline__bspline.o gsl_cblas__caxpy.o \
@@ -180,3 +175,4 @@
    gsl_specfunc__coupling.o gsl_specfunc__dawson.o gsl_specfunc__debye.o \
    gsl_specfunc__dilog.o gsl_specfunc__elementary.o gsl_specfunc__ellint.o \
    gsl_specfunc__elljac.o gsl_specfunc__erfc.o gsl_specfunc__exp.o \
+   gsl_specfunc__expint.o gsl_specfunc__expint3.o gsl_specfunc__fermi_dirac.o \
