=== debian/changelog ===
praat (5.1.42-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.1 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Wed, 04 Aug 2010 15:57:48 +0200

praat (5.1.39-1) unstable; urgency=low

  * New upstream version using GTK instead of lesstif
  * debian/source/format: 3.0 (quilt)
  * debian/patches/register-use.patch: Removed because applied by
    upstream
  * debian/patches/uifile-no-dialog-destroy.patch: Removed because
    applied by upstream
  * debian/patches/series: Deactivate output-bandwidth-listing.patch
    for the moment because it does not apply to recent upstream.
    Needs further investigation to reenable the additional feature
    which was provided by the Debian packaged version.

 -- Andreas Tille <tille@debian.org>  Sun, 11 Jul 2010 14:19:44 +0200

praat (5.1.38-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 08 Jul 2010 15:28:43 +0200

praat (5.1.29-1) unstable; urgency=low

  * New upstream version
    Closes: #573545
  * Standards-Version: 3.8.4 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 12 Mar 2010 11:26:32 +0100

praat (5.1.25-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jan 2010 13:01:52 +0100

praat (5.1.20-1) unstable; urgency=low

  * New upstream version
  * Team Maintenance in Debian Med team after Rafael Laboissiere retired
    from Debian
  * Standards-Version: 3.8.3 (added README.source)
  * Moved to Debian Med Git repository

 -- Andreas Tille <tille@debian.org>  Tue, 24 Nov 2009 15:28:47 +0100

praat (5.1.7-1) unstable; urgency=low

  * New upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 21 May 2009 01:06:51 +0200

praat (5.1.5-1) unstable; urgency=low

  * New upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 10 May 2009 12:17:24 +0200

praat (5.1.4-1) unstable; urgency=low

  * New upstream release
  * debian/control: The package is now maintained with Git at
    alioth.debian.org.  Add Vcs-Git field and change Vcs-Browser
    accordingly.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 16 Apr 2009 12:41:38 +0200

praat (5.1.3-1) unstable; urgency=low

  * New upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 28 Mar 2009 19:10:25 +0100

praat (5.1.2-1) unstable; urgency=low

  * New upstream release
  * debian/control, debian/compat: Bump debhelper build-dependency and
    compatibility level to >= 7
  * debian/control: Bump Standards-Version to 3.8.1 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 13 Mar 2009 14:46:11 +0100

praat (5.1.0-4) unstable; urgency=low

  * debian/patches/output-bandwidth-listing.patch: Add patch for adding an
    entry in the Formants menu to output the listing of formant bandwidths
  * debian/control: Switch Vcs-Browser from wsvn to viewsvn

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 22 Feb 2009 12:45:41 +0100

praat (5.1.0-3) unstable; urgency=low

  * Upload to unstable

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 15 Feb 2009 15:26:44 +0100

praat (5.1.0-2) experimental; urgency=low

  * Sync with the lenny branch

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 10 Feb 2009 07:18:02 +0100

praat (5.0.29-1lenny1) unstable; urgency=high

  * debian/control: Depend on oss-compat, such that sound will work on
    standard installations (closes: #514652)

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 09 Feb 2009 22:19:36 +0100

praat (5.1.0-1) experimental; urgency=low

  * New upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 01 Feb 2009 22:03:48 +0000

praat (5.0.47-1) experimental; urgency=low

  * New upstream release
  * debian/patches/drop-useless-libraries.patch: Drop patch (applied
    upstream)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 24 Jan 2009 08:23:17 +0100

praat (5.0.45-1) experimental; urgency=low

  * New upstream release.
  * Switch to quilt from CDBS' simple-patchsys for patch management
  * debian/patches/drop-useless-libraries.patch: Add patch for dropping
    unused libraries from linker options

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 03 Jan 2009 18:49:44 +0100

praat (5.0.42-1) experimental; urgency=low

  * New upstream release.
  * debian/control: Add ${misc:Depends} to binary dependency list

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 06 Dec 2008 10:07:19 +0000

praat (5.0.38-1) experimental; urgency=low

  * New upstream release.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 01 Nov 2008 10:36:56 +0100

praat (5.0.34-1) experimental; urgency=low

  * New upstream release.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 25 Sep 2008 12:56:43 +0200

praat (5.0.32-1) experimental; urgency=low

  * New upstream release.  Uploading to experimental until the release of
    lenny.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Aug 2008 22:11:21 +0200

praat (5.0.29-1) unstable; urgency=low

  * New upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 18 Jul 2008 23:22:04 +0200

praat (5.0.27-1) unstable; urgency=low

  * New upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 01 Jul 2008 20:03:38 +0200

praat (5.0.26-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Build-Depends on libasound2-dev
    + Bump Standards-Version to 3.8.0

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 21 Jun 2008 16:05:46 +0200

praat (5.0.25-1) unstable; urgency=low

  * New upstream release.  The start-up crash was fixed in version 5.0.24
    (closes: #484505)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 04 Jun 2008 23:34:50 +0200

praat (5.0.23-1) unstable; urgency=low

  * New upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 17 May 2008 22:57:16 +0200

praat (5.0.22-1) unstable; urgency=low

  * New upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 30 Apr 2008 15:44:10 +0200


